### Virtual Method

# Gtk CellArea snapshot

deprecated: 4.10

#### Declaration [src]

    void
    snapshot (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      GtkSnapshot* snapshot,
      const GdkRectangle* background_area,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags,
      gboolean paint_focus
    )

#### Description [src]

Snapshots `area`’s cells according to `area`’s layout onto at the given coordinates.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkCellAreaContext`

  The `GtkCellArea`Context for this row of data.

  The data is owned by the caller of the function.

`widget`

  Type: `GtkWidget`

  The `GtkWidget` that `area` is rendering to.

  The data is owned by the caller of the function.

`snapshot`

  Type: `GtkSnapshot`

  The `GtkSnapshot` to draw to.

  The data is owned by the caller of the function.

`background_area`

  Type: `GdkRectangle`

  The `widget` relative coordinates for `area`’s background.

  The data is owned by the caller of the function.

`cell_area`

  Type: `GdkRectangle`

  The `widget` relative coordinates for `area`.

  The data is owned by the caller of the function.

`flags`

  Type: `GtkCellRendererState`

  The `GtkCellRenderer`State for `area` in this row.

`paint_focus`

  Type: `gboolean`

  Whether `area` should paint focus on focused cells for focused rows or not.